Subject: Re: 23.0.60; wrong position of accents in X11

From: Stefan Kangas <[email-masked]>
Date: Mon, 04 Nov 2019 10:54:27 +0100

Peter Dyballa <[email-masked]> writes:

> Hello!
>
> I have a file named
>
> 	RGB äöüæÆÜÖÄ.txt
>
> it gets displayed as
>
>
>
>
>
> The ominous capital C with lowered diaeresis is described as:
>
>         character: O (79, #o117, #x4f)
> preferred charset: ascii (ASCII (ISO646 IRV))
>        code point: 0x4F
>            syntax: w 	which means: word
>          category: a:ASCII graphic characters 32-126 (ISO646 IRV:1983[4/0])
>         l:Latin
> 		   r:Japanese roman
>       buffer code: #x4F
>         file code: #x4F (encoded by coding system utf-8-unix)
>           display: by this font (glyph code)
>     x:-b&h-lucidatypewriter-medium-r-normal-sans-10-100-75-75-m-60-iso10646-1
>    (#x4F)
>
> Character code properties: customize what to show
>   name: LATIN CAPITAL LETTER O
>   general-category: Lu (Letter, Uppercase)
>
>
> The month name März in a file's date is displayed correctly as Mär. Mac OS X
> 10.4.11, same effect in HFS+ and UFS file systems. Same for ´, `, ^, and ~
> accents.
>
> Emacs.FontBackend:	x
> Emacs*font:	-*-lucidatypewriter-medium-r-*-*-10-*-*-*-m-*-iso10646-1

(That was 11 years ago.)

I'm unable to reproduce this.  All characters seem to display
correctly.

Are you still seeing this on a modern version of Emacs?  If I don't
hear back from you within a couple of weeks, I'll just close this bug
as unreproducible.

Best regards,
Stefan Kangas